%define _requires_exceptions libpam.so.0

%define name	openfire
%define version	3.8.1
%define release %mkrel 1

Summary:   Openfire XMPP Server
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL: 	   http://www.igniterealtime.org/	
License:   GPL	
Source0:   http://www.igniterealtime.org/%{name}_3_8_1.tar.xz
Source1:   openfire.sh 
Group: 	   Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Buildarch: noarch
Requires: jre

%description
Openfire is a leading Open Source, cross-platform IM server based on the
XMPP (Jabber) protocol. It has great performance, is easy to setup and use,
and delivers an innovative feature set.


%prep
%setup -q -n openfire


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/%{name}
cp -R conf lib plugins resources logs $RPM_BUILD_ROOT/opt/%{name}

mkdir -p $RPM_BUILD_ROOT/opt/%{name}/documentation/dist
install -m 644 *.html $RPM_BUILD_ROOT/opt/%{name}/documentation/dist
mkdir -p $RPM_BUILD_ROOT/opt/%{name}/documentation/docs
install -m 644 documentation/*.html $RPM_BUILD_ROOT/opt/%{name}/documentation/docs
cp -R documentation/images $RPM_BUILD_ROOT/opt/%{name}/documentation/docs
cp -R documentation/licenses $RPM_BUILD_ROOT/opt/%{name}/documentation/docs

mkdir -p $RPM_BUILD_ROOT/opt/%{name}/bin
cp -R bin/extra/embedded-db.rc $RPM_BUILD_ROOT/opt/%{name}/bin
cp -R bin/extra/embedded-db-viewer.sh $RPM_BUILD_ROOT/opt/%{name}/bin
cp -R %SOURCE1 $RPM_BUILD_ROOT/opt/%{name}/bin
cp -R bin/openfirectl $RPM_BUILD_ROOT/opt/%{name}/bin

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 755 bin/extra/redhat/openfire $RPM_BUILD_ROOT%{_sysconfdir}/init.d/openfire
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -R bin/extra/redhat/openfire-sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/openfire


#remove
rm -rf $RPM_BUILD_ROOT/opt/%{name}/resources/nativeAuth/osx-ppc
rm -rf $RPM_BUILD_ROOT/opt/%{name}/resources/nativeAuth/solaris-sparc
rm -rf $RPM_BUILD_ROOT/opt/%{name}/resources/nativeAuth/win32-x86
rm -rf $RPM_BUILD_ROOT/opt/%{name}/resources/spank
rm -f $RPM_BUILD_ROOT/opt/%{name}/lib/tray.dll

%clean
rm -rf $RPM_BUILD_ROOT

%post 
ln -s /usr/lib/jvm/jre /opt/openfire
ln -s /etc/init.d/openfire /usr/bin/openfire
chmod 777 /opt/openfire/logs/
chmod 777 /opt/openfire/logs/*
chown -R daemon:daemon /opt/openfire
if [ "$1" == "1" ]; then
	/sbin/chkconfig --add openfire
	
	mysqladmin create openfire 2>/dev/null
fi
[ -x "/etc/init.d/openfire" ] && /etc/init.d/openfire condrestart
exit 0
%preun
if [ "$1" == "0" ]; then
	/sbin/chkconfig --del openfire
	[ -x "/etc/init.d/openfire" ] && /etc/init.d/openfire stop
fi
exit 0


%postun
rm -rf /opt/openfire
rm -f /usr/bin/openfire

%files
%defattr(-,daemon,daemon)
%attr(750, daemon, daemon) %dir /opt/openfire
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sysconfdir}/init.d/openfire
/opt/%{name}


%changelog
* Wed Apr 17 2013 Texstar <texstar at gmail.com> 3.8.1-1pclos2013
- 3.8.1

* Sat Mar 20 2010 slick50 <lxgator@gmail.com> 3.6.4-2pclos2010
- rebuild

* Thu Feb 11 2010 slick50 <lxgator@gmail.com> 3.6.4-1pclos2010
- Initial package
